%define tagver %(echo %version | tr . _)
Name:          gpsbabel
Version:       1.9.0
Release:       1mamba
Summary:       GPSBabel converts waypoints, tracks, and routes between popular GPS receivers and mapping programs
Group:         Applications/Scientific
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.gpsbabel.org/
Source:        https://github.com/gpsbabel/gpsbabel.git/gpsbabel_%{tagver}/gpsbabel-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5Positioning-devel
BuildRequires: libQt5SerialPort-devel
BuildRequires: libQt5WebChannel-devel
BuildRequires: libQt5WebEngine-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: libusb-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtdeclarative-devel
## AUTOBUILDREQ-END

%description
GPSBabel converts waypoints, tracks, and routes between popular GPS receivers and mapping programs. It also has powerful manipulation tools for such data. By flattening the Tower of Babel that the authors of various programs for manipulating GPS data have imposed upon us, it returns to us the ability to freely move our own waypoint data between the programs and hardware we choose to use. It does not convert, transfer, send, or manipulate maps. We process data that may (or may not be) placed on a map, such as waypoints, tracks, and routes.

%debug_package

%prep
%setup -q

%build
%cmake -d build

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
#% makeinstall -C build
install -D -m0755 build/gpsbabel %{buildroot}%{_bindir}/gpsbabel
install -D -m0755 build/gui/GPSBabelFE/gpsbabelfe %{buildroot}%{_bindir}/gpsbabelfe
install -D -m0644 gui/gpsbabel.desktop %{buildroot}%{_datadir}/applications/gpsbabel.desktop
install -D -m0644 gui/images/appicon.png %{buildroot}%{_datadir}/pixmaps/gpsbabel.png

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/gpsbabel
%{_bindir}/gpsbabelfe
%{_datadir}/applications/gpsbabel.desktop
%{_datadir}/pixmaps/gpsbabel.png
%doc AUTHORS COPYING

%changelog
* Fri Oct 20 2023 Automatic Build System <autodist@mambasoft.it> 1.9.0-1mamba
- automatic version update by autodist

* Tue Jan 25 2022 Automatic Build System <autodist@mambasoft.it> 1.8.0-1mamba
- automatic version update by autodist

* Sun Sep 06 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.0-1mamba
- update to 1.7.0

* Sat Oct 26 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.0-1mamba
- update to 1.6.0

* Sun Apr 09 2017 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 1.5.4-1mamba
- update to 1.5.4

* Sat Jan 23 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.3-1mamba
- update to 1.5.3

* Sun Mar 15 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.2-1mamba
- update to 1.5.2

* Tue Jun 17 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.1-1mamba
- update to 1.5.1

* Sun Dec 02 2012 Automatic Build System <autodist@mambasoft.it> 1.4.4-1mamba
- automatic version update by autodist

* Thu May 03 2012 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 1.4.3-1mamba
- package created by autospec
